Bug 159950 - [patch] Update tzupdater to 1.3.40-2011h for java ports
Summary: [patch] Update tzupdater to 1.3.40-2011h for java ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Greg Lewis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-21 04:10 UTC by Enji Cooper
Modified: 2013-02-03 22:29 UTC (History)
0 users

See Also:


Attachments
file.diff (10.32 KB, patch)
2011-08-21 04:10 UTC, Enji Cooper
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2011-08-21 04:10:12 UTC
Oracle pulled all of the tzupdater files from their download site recently. This updates all of the Java ports to the most recent version of the tzupdater distfile.

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-08-21 04:23:56 UTC
Responsible Changed
From-To: freebsd-bugs->glewis

Over to long-suffering maintainer.
Comment 2 Mark Linimon 2011-08-21 04:28:10 UTC
> -SHA256 (diablo-caffe-freebsd6-i386-1.6.0_07-b02.tar.bz2) = 208e051014cdaecde07145cb510e4c0a0840ef35e4559c301ce324602a77f9ec
> -SIZE (diablo-caffe-freebsd6-i386-1.6.0_07-b02.tar.bz2) = 64381886
> -SHA256 (diablo-caffe-freebsd7-i386-1.6.0_07-b02.tar.bz2) = 971a537f8e852166fa94a9666b14e2f0a8ee51dcf7a470ab7bcb5be0dba05409
> -SIZE (diablo-caffe-freebsd7-i386-1.6.0_07-b02.tar.bz2) = 64093245
> -SHA256 (jce_policy-6.zip) = d0c2258c3364120b4dbf7dd1655c967eee7057ac6ae6334b5ea8ceb8bafb9262
> -SIZE (jce_policy-6.zip) = 9101

These lines, and the others like it, look like bugs to me.
Comment 3 Enji Cooper freebsd_committer 2011-08-22 00:43:27 UTC
On Sat, 20 Aug 2011, Mark Linimon wrote:

>> -SHA256 (diablo-caffe-freebsd6-i386-1.6.0_07-b02.tar.bz2) = 208e051014cdaecde07145cb510e4c0a0840ef35e4559c301ce324602a77f9ec
>> -SIZE (diablo-caffe-freebsd6-i386-1.6.0_07-b02.tar.bz2) = 64381886
>> -SHA256 (diablo-caffe-freebsd7-i386-1.6.0_07-b02.tar.bz2) = 971a537f8e852166fa94a9666b14e2f0a8ee51dcf7a470ab7bcb5be0dba05409
>> -SIZE (diablo-caffe-freebsd7-i386-1.6.0_07-b02.tar.bz2) = 64093245
>> -SHA256 (jce_policy-6.zip) = d0c2258c3364120b4dbf7dd1655c967eee7057ac6ae6334b5ea8ceb8bafb9262
>> -SIZE (jce_policy-6.zip) = 9101
>
> These lines, and the others like it, look like bugs to me.

Yes. I suppose you have to have all of the files downloaded for it to do 
the makesum operation completely. Otherwise it silently omits distfiles.

That seems silly to me..

Thanks,
-Garrett
Comment 4 dfilter service freebsd_committer 2011-08-22 02:23:07 UTC
glewis      2011-08-22 01:22:53 UTC

  FreeBSD ports repository

  Modified files:
    java/diablo-jdk15    Makefile distinfo 
    java/diablo-jre15    Makefile distinfo 
    java/diablo-jdk16    Makefile distinfo 
    java/diablo-jre16    Makefile distinfo 
  Log:
  . Update to tzupdater 1.3.40.
  
  PR:             159950
  Submitted by:   Garrett Cooper <yaneurabeya@gmail.com>
  
  Revision  Changes    Path
  1.44      +3 -3      ports/java/diablo-jdk15/Makefile
  1.28      +2 -2      ports/java/diablo-jdk15/distinfo
  1.21      +3 -3      ports/java/diablo-jdk16/Makefile
  1.17      +2 -2      ports/java/diablo-jdk16/distinfo
  1.43      +3 -3      ports/java/diablo-jre15/Makefile
  1.28      +2 -2      ports/java/diablo-jre15/distinfo
  1.21      +3 -3      ports/java/diablo-jre16/Makefile
  1.16      +2 -2      ports/java/diablo-jre16/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Greg Lewis freebsd_committer 2011-08-22 04:36:39 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!